# Class PartyStatusCurePhase

Cures the party of all non-volatile status conditions, shows a message

#### Param: scene

The current scene

#### Param: user

The user of the move that cures the party

#### Param: message

The message that should be displayed

#### Param: abilityCondition

Pokemon with this ability will not be affected ie. Soundproof

#### Hierarchy (view full)

- BattlePhase
  - PartyStatusCurePhase

- Defined in src/phases.ts:5217

#####
Index

### Constructors

constructor

### Properties

abilityCondition
message
scene
user

### Methods

end
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new PartyStatusCurePhase(scene, user, message, abilityCondition): PartyStatusCurePhase

- #### Parameters

  - scene: default
  - user: default
  - message: string
  - abilityCondition: Abilities

  #### Returns PartyStatusCurePhase

  Overrides BattlePhase.constructor

  - Defined in src/phases.ts:5222

## Properties

### `Private` abilityCondition

abilityCondition: Abilities

- Defined in src/phases.ts:5220

### `Private` message

message: string

- Defined in src/phases.ts:5219

### `Protected` scene

scene: default

Inherited from BattlePhase.scene

- Defined in src/phase.ts:4

### `Private` user

user: default

- Defined in src/phases.ts:5218

## Methods

### end

- end(): void

- #### Returns void

  Inherited from BattlePhase.end

  - Defined in src/phase.ts:17

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases.ts:5230